﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RoboRace
{
    [Serializable]
    public class GameState
    {
        public char[][] map;
        public int robotX, robotY;
        public int robotRotation;
        public int endX, endY;
        public int gameID;
        public List<char> possibleMoves;
        public List<char> doneMoves;

        public GameState()
        {
            map = new char[20][];
            for (int i = 0; i < 20; i++) map[i] = new char[20];
            possibleMoves = new List<char>();
            doneMoves = new List<char>();
        }

        public GameState(GameState old)
        {
            map = new char[20][];
            for (int i = 0; i < 20; i++) map[i] = new char[20];
            for (int i = 0; i < 20; i++) for (int j = 0; j < 20; j++) map[i][j] = old.map[i][j];
            robotX = old.robotX;
            robotY = old.robotY;
            robotRotation = old.robotRotation;
            endX = old.endX;
            endY = old.endY;
            gameID = old.gameID;
            possibleMoves = old.possibleMoves.ToArray().ToList<char>();
            doneMoves = old.doneMoves.ToArray().ToList<char>();
        }
    }
}
