﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace RoboRace
{
    public partial class RoboRace : Form
    {
        Connector connector;

        public RoboRace()
        {
            InitializeComponent();
        }

        private void RoboRace_Load(object sender, EventArgs e)
        {
            connector = new Connector("localhost:8000");
        }

        private void tbInteractive_Click(object sender, EventArgs e)
        {
            connector.address = tbAdress.Text;
            connector.loadInitial();
            Interactive interactiveForm = new Interactive(connector);
            interactiveForm.Show();
        }

        private void tbAI_Click(object sender, EventArgs e)
        {
            connector.address = tbAdress.Text;
            connector.loadInitial();
            GameLogic.Solve(connector);
            MessageBox.Show("Vyřešeno.");
        }
    }
}
